Bug 115721 - multiple printf style problems
Summary: multiple printf style problems
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-15 12:14 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 09:34:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-15 12:14:06 UTC
Description of problem:

I just tried to compile package openssl-0.9.7a-23 from Fedora.

The compiler said

1.

t_req.c(249): warning #268: the format string ends before this argument

The source code is

	if (BIO_printf(bp,": %s\n",j?"critical":"","") <= 0)
		goto err;

One more parameter than % specifiers.

2.

t_crl.c(124): warning #268: the format string ends before this argument

The source code is

                BIO_printf(out,"\n        Revocation Date: ","");

No % specifier, one following parameter.

3.

v3_prn.c(185): warning #268: the format string ends before this argument

Duplicate.

4.

pkcs8.c(238): warning #268: the format string ends before this argument

Source code is

	BIO_printf(bio_err, "Error converting key\n", outfile);

No % specifier, one following parameter.

5.

Further examples at

pkcs8.c(263): warning #268: the format string ends before this argument
pkcs8.c(306): warning #268: the format string ends before this argument
pkcs8.c(320): warning #268: the format string ends before this argument
pkcs8.c(326): warning #268: the format string ends before this argument
ocsp.c(874): warning #268: the format string ends before this argument




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Binderman 2004-11-24 10:19:54 UTC
These problems still exist in Fedora Core 3.



Comment 2 Tomas Mraz 2005-02-10 09:34:05 UTC
As these problems aren't critical (more arguments than specifiers
don't make the program crash or corrupt data) report these problems
upstream.



Note You need to log in before you can comment on or make changes to this bug.